ghc-7.0.4: The GHC API

Debugger

Synopsis

- pprintClosureCommand :: GhcMonad m => Bool -> Bool -> String -> m ()
- showTerm :: GhcMonad m => Term -> m SDoc
- pprTypeAndContents :: GhcMonad m => [Id] -> m SDoc

# Documentation

pprintClosureCommand :: GhcMonad m => Bool -> Bool -> String -> m ()Source

The :print & friends commands

showTerm :: GhcMonad m => Term -> m SDoc Source

pprTypeAndContents :: GhcMonad m => [Id] -> m SDoc Source